Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.transaction
Class DummyContextFactory

    java.lang.Object
      org.jboss.cache.transaction.DummyContextFactory

All Implemented Interfaces:
  javax.naming.spi.InitialContextFactory

    public class DummyContextFactory

extends java.lang.Object
implements javax.naming.spi.InitialContextFactory

Author:
  bela Date: May 15, 2003 Time: 6:22:02 PM

Constructor Summary
`DummyContextFactory()`

Method Summary
`javax.naming.Context` | `getInitialContext(java.util.Hashtable environment)` Creates an Initial Context for beginning name resolution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyContextFactory

    public DummyContextFactory()

Method Detail

### getInitialContext

    public javax.naming.Context getInitialContext(java.util.Hashtable environment)
                                           throws javax.naming.NamingException

  Creates an Initial Context for beginning name resolution. Special requirements of this context are supplied using `environment`.

  The environment parameter is owned by the caller. The implementation will not modify the object or keep a reference to it, although it may keep a reference to a clone or copy.

  Specified by:
    `getInitialContext` in interface `javax.naming.spi.InitialContextFactory`
  Parameters:
    `environment` - The possibly null environment specifying information to be used in the creation of the initial context.
  Returns:
    A non-null initial context object that implements the Context interface.
  Throws:
    `javax.naming.NamingException` - If cannot create an initial context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.